#include <Servo.h>

Servo servo0;  // create servo object to control a servo
Servo servo1;  // create servo object to control a servo
Servo servo2;  // create servo object to control a servo
Servo servo3;  // create servo object to control a servo

int pos = 0;    // variable to store the servo position

#define S0_FRONT  servo0.write(80)
#define S0_MIDLE servo0.write(45)
#define S0_BACK   servo0.write(10)

#define S1_FRONT  servo1.write(10)
#define S1_MIDLE servo1.write(45)
#define S1_BACK   servo1.write(80)

#define S2_FRONT  servo2.write(80)
#define S2_MIDLE servo2.write(45)
#define S2_BACK   servo2.write(10)

#define S3_FRONT  servo3.write(10)
#define S3_MIDLE servo3.write(45)
#define S3_BACK   servo3.write(80)

void setup() {
  pinMode(2, INPUT_PULLUP);
  servo0.attach(6);  // attaches the servo on pin 9 to the servo object
  servo1.attach(7);
  servo2.attach(9);
  servo3.attach(10);

  S0_BACK;
  S1_BACK;
  S2_BACK;
  S3_BACK;
  delay(2000);
}

void step1() {
  S0_MIDLE;
  delay(100);
  S3_MIDLE;
  delay(250);
  S1_MIDLE;
  delay(100);
  S2_MIDLE;
  delay(250);

  S0_FRONT;
  delay(100);
  S3_FRONT;
  delay(250);
  S1_FRONT;
  delay(100);
  S2_FRONT;
  delay(250);

  S0_BACK;
  S1_BACK;
  S2_BACK;
  S3_BACK;
  delay(250);
}

void step2() {
  S0_FRONT;
  delay(100);
  S1_FRONT;
  delay(250);

  S0_MIDLE;
  S1_MIDLE;
  S2_BACK;
  S3_BACK;
  delay(250);

  S2_MIDLE;
  delay(100);
  S3_MIDLE;
  delay(250);  
}

void loop() {
  if (digitalRead(2))
    step1();
  else
    step2();
}
